%define	module	Mail-Sender
%define	name	perl-%{module}
%define version 0.8.13
%define release %mkrel 1

%define	_requires_exceptions perl(Win32API::Registry)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Module for sending mails with attachments through an SMTP server 
License:	GPL
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Mail-Sender is a Perl module for sending mail with attachments through an
SMTP server.  This module will not work with qmail servers, however.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%{perl_vendorlib}/Mail
%{_mandir}/*/*


%changelog
* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.13-1mdk
- 0.8.13
- spec cleanup
- rpmbuildupdate aware

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.10-3mdk
- Rebuild

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-2mdk
- fix requires

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-1mdk
- 0.8.10

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.06-4mdk
- rebuild for new perl
- don't rm -rf %{buildroot} in %%prep
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.06-3mdk
- fix non interactive build
- rebuild for new auto{prov,req}

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.06-2mdk
- adjust buildrequires

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 0.8.06-1mdk
- 0.8.06.

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.04-2mdk
- rebuild

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.8.04-1mdk
- 0.8.04.

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.14.1-1mdk
- 0.7.14.1

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.12-1mdk
- 0.7.12

* Thu Mar 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.10-1mdk
- updated to 0.7.10

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.04-4mdk
- fix install

* Fri Jul 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.04-3mdk
- fix files section

* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.7.04-2mdk
- fix group

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.7.04

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
